org.rrd4j.core

## Class ArcState

- java.lang.Object
- - org.rrd4j.core.ArcState

- All Implemented Interfaces:
    RrdUpdater<ArcState>

      public class ArcState
      extends Object
      implements RrdUpdater<ArcState>

  Class to represent internal RRD archive state for a single datasource. Objects of this class are never manipulated directly, it's up to Rrd4j to manage internal archive states.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArcState(Archive parentArc, boolean shouldInitialize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `appendXml(XmlWriter writer)`
    `void` | `copyStateTo(ArcState arcState)` copyStateTo.
    `(package private) String` | `dump()`
    `double` | `getAccumValue()` Returns the value accumulated so far.
    `long` | `getNanSteps()` Returns the number of currently accumulated NaN steps.
    `Archive` | `getParent()` Returns the Archive object to which this ArcState object belongs.
    `RrdAllocator` | `getRrdAllocator()` Required to implement RrdUpdater interface.
    `RrdBackend` | `getRrdBackend()` Returns the underlying storage (backend) object which actually performs all I/O operations.
    `(package private) void` | `setAccumValue(double value)`
    `(package private) void` | `setNanSteps(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArcState

          ArcState(Archive parentArc,
                   boolean shouldInitialize)
            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### appendXml

          void appendXml(XmlWriter writer)
                  throws IOException

      Throws:
        `IOException`

    - #### copyStateTo

          public void copyStateTo(ArcState arcState)
                           throws IOException

      copyStateTo.

      Copies object's internal state to another ArcState object.

      Specified by:
        `copyStateTo` in interface `RrdUpdater<ArcState>`
      Parameters:
        `arcState` - a `RrdUpdater` object.
      Throws:
        `IOException` - if any.

    - #### dump

          String dump()
               throws IOException

      Throws:
        `IOException`

    - #### getAccumValue

          public double getAccumValue()
                               throws IOException

      Returns the value accumulated so far.
      Returns:
        Accumulated value
      Throws:
        `IOException` - Thrown in case of I/O error

    - #### getNanSteps

          public long getNanSteps()
                           throws IOException

      Returns the number of currently accumulated NaN steps.
      Returns:
        Number of currently accumulated NaN steps.
      Throws:
        `IOException` - Thrown in case of I/O error

    - #### getParent

          public Archive getParent()

      Returns the Archive object to which this ArcState object belongs.
      Returns:
        Parent Archive object.

    - #### getRrdAllocator

          public RrdAllocator getRrdAllocator()

      Required to implement RrdUpdater interface. You should never call this method directly.
      Specified by:
        `getRrdAllocator` in interface `RrdUpdater<ArcState>`
      Returns:
        Allocator object

    - #### getRrdBackend

          public RrdBackend getRrdBackend()

      Returns the underlying storage (backend) object which actually performs all I/O operations.
      Specified by:
        `getRrdBackend` in interface `RrdUpdater<ArcState>`
      Returns:
        I/O backend object

    - #### setAccumValue

          void setAccumValue(double value)
                      throws IOException

      Throws:
        `IOException`

    - #### setNanSteps

          void setNanSteps(long value)
                    throws IOException

      Throws:
        `IOException`